MFClientBase.RiskUsage (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.api

## Class MFClientBase.RiskUsage

- java.lang.Object
- - com.marketfactory.api.MFClientBase.RiskUsage

- Direct Known Subclasses:
    MFClientBase.RiskMarketPosition
  Enclosing class:
    MFClientBase

      public static class MFClientBase.RiskUsage
      extends java.lang.Object

  Admin interface: user state. Each user is tracked by feed/market/date and the amounts are summed into parent groups. To specify state by parent group, set state for a single user and set remaining users to zero. Amounts should all be provided in units of base currency (X for X/Y). Ex: buy 2mm EUR/USD @ 1.3: boughtBase=2|EUR, boughtCounter=2.6|USD Ex: sell 2mm EUR/USD @ 1.3: sellBase=2|EUR, sellCounter=2.6|USD Note: Amounts are split to support both NOP and DSL tracking. Note: feedID is only required when providing feed-specific limits. Note: syncTime (timeapiserver of last trade capture) is required to sync admin/server view.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFDecimal` | `boughtBase`
    `MFDecimal` | `boughtCounter`
    `int` | `feedID`
    `java.lang.String` | `group`
    `int` | `marketID`
    `MFDecimal` | `pendingBoughtBase`
    `MFDecimal` | `pendingSoldBase`
    `long` | `settlDate`
    `MFDecimal` | `soldBase`
    `MFDecimal` | `soldCounter`
    `long` | `syncTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskUsage(java.lang.String group, int marketID, MFDecimal boughtBase, MFDecimal soldBase, MFDecimal boughtCounter, MFDecimal soldCounter)`
    `RiskUsage(java.lang.String group, int marketID, MFDecimal boughtBase, MFDecimal soldBase, MFDecimal boughtCounter, MFDecimal soldCounter, MFDecimal pendingBoughtBase, MFDecimal pendingSoldBase, long settlDate, long syncTime, int feedID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MFClientBase.RiskUsage` | `setFeedID(int feedID)`
    `MFClientBase.RiskUsage` | `setSettlDate(long settlDate)`
    `MFClientBase.RiskUsage` | `setSyncTime(long syncTime)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### group

          public java.lang.String group

    - #### marketID

          public int marketID

    - #### boughtBase

          public MFDecimal boughtBase

    - #### soldBase

          public MFDecimal soldBase

    - #### boughtCounter

          public MFDecimal boughtCounter

    - #### soldCounter

          public MFDecimal soldCounter

    - #### pendingBoughtBase

          public MFDecimal pendingBoughtBase

    - #### pendingSoldBase

          public MFDecimal pendingSoldBase

    - #### settlDate

          public long settlDate

    - #### syncTime

          public long syncTime

    - #### feedID

          public int feedID

  - ### Constructor Detail

    - #### RiskUsage

          public RiskUsage(java.lang.String group,
                           int marketID,
                           MFDecimal boughtBase,
                           MFDecimal soldBase,
                           MFDecimal boughtCounter,
                           MFDecimal soldCounter)

    - #### RiskUsage

          public RiskUsage(java.lang.String group,
                           int marketID,
                           MFDecimal boughtBase,
                           MFDecimal soldBase,
                           MFDecimal boughtCounter,
                           MFDecimal soldCounter,
                           MFDecimal pendingBoughtBase,
                           MFDecimal pendingSoldBase,
                           long settlDate,
                           long syncTime,
                           int feedID)

  - ### Method Detail

    - #### setSettlDate

          public MFClientBase.RiskUsage setSettlDate(long settlDate)

    - #### setSyncTime

          public MFClientBase.RiskUsage setSyncTime(long syncTime)

    - #### setFeedID

          public MFClientBase.RiskUsage setFeedID(int feedID)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`